Bug 42226 - kernel oops during ifconfig ethertap in dev_ioctl
kernel oops during ifconfig ethertap in dev_ioctl
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-24 20:26 EDT by jdalbec
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-25 22:32:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jdalbec 2001-05-24 20:26:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19 i586)

Description of problem:
I use diald to manage my network connection.  Part of diald's operation
involves enabling and disabling a dummy ethertap interface.  On May 5 and
May 24 (today), I got kernel oopses in dev_ioctl during the ifconfig
command.  I have kernel 2.2.19-6.2.1 installed.  I did have the RH6.1
version of net-tools (now upgraded).  I don't particularly want to
reproduce this bug since it prevents a clean shutdown.

How reproducible:
Didn't try


Additional info:

--May 24--
Unable to handle kernel paging request at virtual address 00014b97
current->tss.cr3 = 00d0b000, %%cr3 = 00d0b000
*pde = 00000000
Oops: 0000
CPU:    0
EIP:    0010:[<c283a6a0>]
EFLAGS: 00010246
eax: 00000000   ebx: c283a6a0   ecx: c0d0df4c   edx: 000010c3
esi: 00008914   edi: c0d0df6c   ebp: c0d0df4c   esp: c0d0df08
ds: 0018   es: 0018   ss: 0018
Process ifconfig (pid: 4037, process nr: 53, stackpage=c0d0d000)
Stack: 00000001 c0d0df6c c0d0df4c c015360d c0d0df4c 00008914 c0d0df4c
00000000
       c0dd3350 bffffc64 c014e7d8 00000000 00000000 c0ce1124 c0d0c000
c0d0df4c
       c0d0c000 30706174 bffffd00 4000a9b0 00050408 000010c3 400c5b20
40013f30
Call Trace: [dev_ioctl+621/1252] [sock_ioctl+0/32] [<c28324d7>]
[sock_ioctl+26/32] [sys_ioctl+402/436] [system_call+52/56]
Code: 84 a6 83 c2 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

--May 5--
Unable to handle kernel paging request at virtual address 00014b97
current->tss.cr3 = 01adb000, %%cr3 = 01adb000
*pde = 00000000
Oops: 0000
CPU:    0
EIP:    0010:[<c283a6a0>]
EFLAGS: 00010246
eax: 00000000   ebx: c283a6a0   ecx: c0e77f4c   edx: 000010c3
esi: 00008914   edi: c0e77f6c   ebp: c0e77f4c   esp: c0e77f08
ds: 0018   es: 0018   ss: 0018
Process ifconfig (pid: 16189, process nr: 54, stackpage=c0e77000)
Stack: 00000001 c0e77f6c c0e77f4c c015360d c0e77f4c 00008914 c0e77f4c
00000000
       c126e4f0 bffffc04 c014e7d8 00000000 00000000 c0eb40b4 c0e76000
c0e77f4c
       c0e76000 30706174 bffffd00 4000a9b0 00050408 000010c3 400c5b20
40013f30
Call Trace: [dev_ioctl+621/1252] [sock_ioctl+0/32] [<c28324d7>]
[sock_ioctl+26/32] [sys_ioctl+402/436] [system_call+52/56]
Code: 84 a6 83 c2 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
Comment 1 jdalbec 2001-05-25 22:32:41 EDT
I got the oops again today (May 25):
Unable to handle kernel paging request at virtual address 00014b97
current->tss.cr3 = 00588000, %%cr3 = 00588000
*pde = 00000000
Oops: 0000
CPU:    0
EIP:    0010:[<c283a6a0>]
EFLAGS: 00010246
eax: 00000000   ebx: c283a6a0   ecx: c0ad5f4c   edx: 000010c3
esi: 00008914   edi: c0ad5f6c   ebp: c0ad5f4c   esp: c0ad5f08
ds: 0018   es: 0018   ss: 0018
Process ifconfig (pid: 2436, process nr: 35, stackpage=c0ad5000)
Stack: 00000001 c0ad5f6c c0ad5f4c c015360d c0ad5f4c 00008914 c0ad5f4c 00000000
       c18f05a0 bffffbd4 c014e7d8 00000000 00000000 c0a23094 c0ad4000 c0ad5f4c
       c0ad4000 30706174 bffffd00 4000a9b0 00fffc68 000010c3 400c5b20 40013f30
Call Trace: [dev_ioctl+621/1252] [sock_ioctl+0/32] [<c28324d7>]
[sock_ioctl+26/32] [sys_ioctl+402/436] [system_call+52/56]
Code: 84 a6 83 c2 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

I should mention that this oops seems to coincide with nmbd going into a
non-interruptible wait on dev_io.  (This is what prevents a clean shutdown.) 
Maybe nmbd and ifconfig are changing their respective interfaces at the same
time and triggering a race condition?  Here is my /etc/smb.conf (comments and
blank lines stripped for brevity):

[global]
   workgroup = MYGROUP
   server string = Samba Server
   hosts allow = 192.168.1. 127.
   printcap name = /etc/printcap
   load printers = yes
   log file = /var/log/samba/%m.log
   max log size = 50
   security = user
  encrypt passwords = yes
  smb passwd file = /etc/smbpasswd
  username map = /etc/smbusers
   socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
   interfaces = 192.168.1.1/24
   preferred master = yes
   wins support = yes
   dns proxy = no
[homes]
   comment = Home Directories
   browseable = no
   writable = yes
[printers]
   comment = All Printers
   path = /var/spool/samba
   browseable = no
   guest ok = no
   printable = yes

I have samba-2.0.8-1.6 and net-tools-1.54-4.
Comment 2 jdalbec 2001-10-15 23:30:50 EDT
My ISP has forced me to rebuild my system so I installed Red Hat 7.1.  I am no longer using this kernel.

Note You need to log in before you can comment on or make changes to this bug.